using System;

namespace ZadatakEkskurzija
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            int[,] st = new int[t, 3];
            for(int i=0;i<t;i++)
            {
                string[] sts = Console.ReadLine().Split(' ');
                st[i, 0] = int.Parse(sts[0]);
                st[i, 1] = int.Parse(sts[1]);
                st[i, 2] = int.Parse(sts[2]);
            }
            for(int i=0;i<t;i++)
            {
                int n = st[i,0];
                int m = st[i,1];
                int k = st[i,2];
                if ((n / k * (n / k + 1) / 2) * k + ((n - n / k * k) * (n / k + 1)) <= m) Console.WriteLine("Tak");
                else Console.WriteLine("Nie");
            }
        }
    }
}